Loading...
Searching...
No Matches
XrdPfc::ReadReqRH Struct Reference

`#include <XrdPfcFile.hh>`

Inheritance diagram for XrdPfc::ReadReqRH:
Collaboration diagram for XrdPfc::ReadReqRH:

## Public Member Functions

| ReadReqRH (unsigned short sid, XrdOucCacheIOCB *iocb)
Public Member Functions inherited from XrdOucCacheIOCB
| XrdOucCacheIOCB ()
virtual | ~XrdOucCacheIOCB ()
virtual void | Done (int result)=0

## Public Attributes

int | m_expected_size = 0
XrdOucCacheIOCB * | m_iocb
int | m_n_chunks = 0
unsigned short | m_seq_id

## Detailed Description

Definition at line 49 of file XrdPfcFile.hh.

## Constructor & Destructor Documentation

## ReadReqRH()

XrdPfc::ReadReqRH::ReadReqRH | ( | unsigned short | sid,
|  | XrdOucCacheIOCB * | iocb )

inline

Definition at line 56 of file XrdPfcFile.hh.

:
m_seq_id(sid), m_iocb(iocb)
{}
XrdPfc::ReadReqRH::m_iocb
XrdOucCacheIOCB * m_iocb
Definition XrdPfcFile.hh:54
XrdPfc::ReadReqRH::m_seq_id
unsigned short m_seq_id
Definition XrdPfcFile.hh:53

References XrdOucCacheIOCB::XrdOucCacheIOCB(), m_iocb, and m_seq_id.

Referenced by XrdPfc::IOFile::pgRead(), XrdPfc::IOFile::Read(), XrdPfc::IOFileBlock::Read(), and XrdPfc::IOFile::ReadV().

Here is the call graph for this function:
Here is the caller graph for this function:

## Member Data Documentation

## m_expected_size

int XrdPfc::ReadReqRH::m_expected_size = 0

Definition at line 51 of file XrdPfcFile.hh.

## m_iocb

XrdOucCacheIOCB* XrdPfc::ReadReqRH::m_iocb

Definition at line 54 of file XrdPfcFile.hh.

Referenced by ReadReqRH().

## m_n_chunks

int XrdPfc::ReadReqRH::m_n_chunks = 0

Definition at line 52 of file XrdPfcFile.hh.

## m_seq_id

unsigned short XrdPfc::ReadReqRH::m_seq_id

Definition at line 53 of file XrdPfcFile.hh.

Referenced by ReadReqRH(), XrdPfc::File::Read(), XrdPfc::IOFile::ReadV(), and XrdPfc::IOFile::ReadV().

The documentation for this struct was generated from the following file:

- XrdPfcFile.hh